> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cuddles.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a product order

> Retrieves a single product order based on the ID provided



## OpenAPI

````yaml GET /productOrders/{id}
openapi: 3.0.1
info:
  title: Cuddles API v1
  description: Cuddles v1 stable
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.cuddles.care/v1
security:
  - bearerAuth: []
paths:
  /productOrders/{id}:
    get:
      description: Retrieves a single product order based on the ID provided
      parameters:
        - name: id
          in: path
          description: ID of product order to retrieve
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Retrieves a single product order
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Order'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Order:
      type: object
      example:
        id: 401aaf51-16ef-401f-9566-329ea7c23955
        items:
          product1:
            product: Bravecto Chews 44-88 lbs Blue, 1000 mg 1 chewable, 12 weeks acting
            productName: Bravecto Chews 44-88 lbs Blue, 1000 mg 1 chewable, 12 weeks acting
            productTitle: Bravecto Chews 44-88 lbs Blue, 1000 mg 1 chewable, 12 weeks acting
            price: '67.99'
            qty: '1'
            tax: '3.40'
            total: '67.99'
            selectedProduct:
              id: oystercreek-medicine-product-record-5
              type: medicineproduct
            selectedPetNames: Goldie Pup
            selectedPatients:
              patient1:
                id: b5f83873-027b-47a1-88bd-e59f70e5b0e5
                type: patientDog
                firstName: Goldie
                lastName: Pup
                species: Dog
                patientName: Goldie Pup
        subTotal: '67.99'
        totalTax: '3.40'
        totalAmount: '71.39'
        billingAddress:
          streetAddress: 3007 Green Fields Dr
          aptSuiteOther: null
          city: Sugar Land
          state: Texas
          zip: 77479
          country: USA
          neighborhood: Colony Bend
          county: Fort Bend County
          zipSuffix: '1808'
        selectedPractice:
          id: oyster_creek_prac
          businessName: Oyster Creek Animal Hospital
          type: practice
        delivery:
          deliveryMethod: Delivery
          pickUpDate: '2023-10-12T05:30:00+05:30'
          deliveryAddress: 3007 Green Fields Dr,Sugar Land,Texas,77479,USA
          deliveryInstruction: Near CTD
          deliveryQuoate:
            id: bf7a7204-023d-4b0d-b1e0-8e3e68e1de95
            fee: 975
            dropoffLocation:
              lat: 29.5806059
              lng: -95.6044699
            estimatedPickupTime: '2023-10-12T12:26:43Z'
            estimatedDropoffTime: '2023-10-12T13:05:03Z'
            tax: 0
            trackingUrl: >-
              https://track.doordash.com/order/fc0a853a-fef1-4b9c-bd35-196918eb5fff/track
            instructions: Near CTD
            contact: '+18328156279'
            address: 3007 Green Fields Dr, Sugar Land, TX 77479, USA
            name: Donald Burton
          orderNo: MZZ9KV
        status: Order Canceled
        timezone: America/Chicago
        orderDate: '2023-10-12T07:15:13-05:00'
        paymentDetails:
          id: pm_1MRc2dFqoVWwtVyexVnViRx1
          billingDetails:
            address:
              streetAddress: 3007 Green Fields Dr
              city: Sugar Land
              state: Texas
              country: US
              zip: '77469'
            email: donald.burton@gmail.com
            name: Donald Burton
            phone: 234-234-2323
          card:
            brand: visa
            country: US
            expMonth: 12
            expYear: 2029
            funding: credit
            last4: '4242'
          created: 1674049864
          isDefault: 'true'
          type: paymentMethod
          paymentType: card
          default: Default
          defaultValue: pm_1MRc2dFqoVWwtVyexVnViRx1
        orderNo: MZZ9KV
        feeAmount: 0
        paymentStatus:
          id: ad92cd96-c3b2-48dc-a457-ae9c0ee21f2b
          type: account
          action: null
        selectedClient:
          id: ab7fc4ac-a83e-469e-af48-2905eae4db13
          type: client
          firstName: Donald
          lastName: Burton
          email:
            main: donald.burton0906@gmail.com
        type: productOrder
        notes: Wrongly ordered
        refundStatus:
          action: null
          id: ad92cd96-c3b2-48dc-a457-ae9c0ee21f2b
          type: account
        lastUpdatedAt: '2023-10-12T12:17:31.748165Z'
        events:
          - reason: cancel_by_merchant
            name: ''
            eventType: DELIVERY_CANCELLED
            eventDate: '2023-10-12T12:18:03.751Z'
    Error:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: integer
          example: 400
        message:
          type: string
        code:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.